Subject: Re: [Module::Build] Re: Cwd::cwd() bug??? on Cygwin
From: Yitzchak Scott-Thoennes <[email-masked]>
To: "Randy W. Sims" <[email-masked]>
Cc: Nick Ing-Simmons <[email-masked]>, [email-masked], [email-masked], [email-masked]
Date: Fri, 21 Nov 2003 13:21:00 -0800

On Fri, Nov 21, 2003 at 06:21:51AM -0500, "Randy W. Sims" <[email-masked]> wrote:
> >>># test.pl
> >>>package MyModule;
> >>>use Module;
> >>>use base 'Module';
> >>>use Cwd;
> >
> >
> >If you moved that above the use Module line then when Module.pm 
> >was compiled it would know Cwd::cwd was a function.
> 
> Tried that too. Removing it does work though, but that's not a solution; 
> it's not reasonable to tell clients that subclass your library not to 
> 'use Cwd'.

If your class provides a method foo(), it is reasonable to tell those who
subclass that defining a sub foo or importing one from elsewhere
into their class will override the base method foo().   

> I'm having a hard time grasping the order in which perl is interpreting 
> this. What is desired is that $p->cwd() call Module::cwd() which should 
> then forward the call to Cwd::cwd(). But no matter how I rearrange 
> things I can't coax the behavior I want.
> 
> I'm missing something simple here; I know it...

use Cwd (); ??

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/